Berichtsheft
============

Berichtsheft is a ruby library that helps apprentices working in Germany create
weekly reports. The default document template has been approved by
[IHK München / Oberbayern](https://www.muenchen.ihk.de/).

## Installation
You need a working Ruby installation (2.1.1 or higher) to use this library. I
recommend using rvm to set up your environment. This way you can ride with multiple
Ruby versions installed on your machine. Also one of rvm's benefits is, that
it installs everything into your home folder, so you won't have to mess around
with sudo or your systems Ruby installation.

To set up rvm on a unix machine, open your terminal and type:
```
$ \curl -sSL https://get.rvm.io | bash -s stable --ruby
```
This command will also install the current stable release of Ruby.

You can verify that the installation was successful with:
```
$ which ruby
```
This should display the location of your current ruby installation.

After setting everything up, installing the berichtsheft gem is just simple as this:
```
$ gem install berichtsheft
```

Done :)

## Usage

```ruby
require 'berichtsheft'

weekly = Berichtsheft::Weekly.new(
  :csv_file => "~/berichtsheft/activities.csv",
  :save_to => "~/berichtsheft/documents/",
  :first_name => "Erkan",
  :last_name => "Alles",
  :department => "Wunderwerk",
  :id_for_week => 1,
  :template => "ihk_muenchen"
)

weekly.generate
```

## Contact

Volkan Edis

- http://github.com/vedis
- mail@vedis.io

## License

Berichtsheft is available under the GPLv3. See the LICENSE file for more information.
